1. 18 Mar, 2013 1 commit
  2. 05 Mar, 2013 1 commit
  3. 02 Mar, 2013 1 commit
  4. 01 Mar, 2013 1 commit
  5. 17 Feb, 2013 3 commits
  6. 14 Feb, 2013 2 commits
  7. 11 Feb, 2013 1 commit
  8. 10 Feb, 2013 1 commit
  9. 07 Feb, 2013 2 commits
    • Gabor Greif's avatar
      Clean up AC_PREREQ. · 5b8dc205
      Gabor Greif authored
      5b8dc205
    • Gabor Greif's avatar
      Require autoconf 2.60, as · 0af03de5
      Gabor Greif authored
      version 2.59 seems to be incompatible with our updated macros.
      If somebody insists on 2.59 (which is almost 10 years old) I'll
      have to hunt down the reason for the recent (Dec 2012?) breakage.
      
      Note that I did not check with 2.60 (I have 2.65), so that one
      may still be problematic.
      0af03de5
  10. 06 Feb, 2013 1 commit
  11. 02 Feb, 2013 1 commit
  12. 30 Jan, 2013 1 commit
  13. 25 Jan, 2013 1 commit
  14. 17 Jan, 2013 1 commit
    • Simon Marlow's avatar
      Tidy up cross-compiling · 109a1e53
      Simon Marlow authored
      We have two cases:
       1. building a cross-compiler
       2. compiling GHC to run on a foreign platform
      
      These two are done with almost the same setup: (1) is the stage 1
      compiler, and (2) is the stage 2 compiler, when CrossCompiling=YES.
      
      The only difference between (1) and (2) is that you if you set up the
      build for (1), then it stops before stage 2 and you can 'make install'
      to install stage 1.
      
      Unfortunately, (2) didn't work, and the build system code needed some
      tidying up.
      
      Change to the way the build is set up:
      
      Before
      ------
      
      To build a cross-compiler:
        ./configure --target=<..>
      
      To compile a foreign GHC:
        ./configure --host=<..> --target=<..>
      
      Now
      ---
      
      To build a cross-compiler:
        ./configure --target=<..>
        And set "Stage1Only=YES" in mk/build.mk
      
      To compile a foreign GHC:
        ./configure --target=<..>
      109a1e53
  15. 04 Dec, 2012 2 commits
  16. 30 Nov, 2012 2 commits
  17. 29 Nov, 2012 1 commit
  18. 13 Nov, 2012 5 commits
  19. 07 Aug, 2012 1 commit
  20. 05 Aug, 2012 2 commits
  21. 20 Jul, 2012 2 commits
  22. 09 Jul, 2012 1 commit
  23. 29 Jun, 2012 1 commit
  24. 17 Jun, 2012 1 commit
  25. 22 May, 2012 1 commit
  26. 15 May, 2012 1 commit
    • pcapriotti's avatar
      Rename package-conf flags to package-db. · ca2debb2
      pcapriotti authored
      Rename package database flags in both GHC and ghc-pkg so that they are
      consistent with Cabal nomenclature.
      
      Add a version check to the build system so that the correct set of
      package db flags are used when the bootstrapping GHC has version < 7.5.
      ca2debb2
  27. 27 Apr, 2012 1 commit
    • kgardas's avatar
      add support for ARM hard-float ABI (fixes #5914) · 3144f856
      kgardas authored
      This patch enhances Platform's ArchARM to include ARM ABI value. It also
      tweaks configure machinery to detect hard-float ABI and to set it wherever
      needed. Finally when hard-float ABI is in use, pass appropriate compiler
      option to the LLVM's llc. Fixes #5914.
      3144f856
  28. 21 Apr, 2012 1 commit
    • chak@cse.unsw.edu.au.'s avatar
      OS X: disable bootstrapping info for 'ar' · 24746fe7
      chak@cse.unsw.edu.au. authored
      Xcode 4.3 installs the command line tools in a different location as earlier versions of Xcode. With the bootstrapping info, the build fails if the bootstrap compiler was built with an older version of Xcode.
      24746fe7